using System.Threading.Tasks;
using DiplomovaPrace.Contracts;
using DiplomovaPrace.Contracts.Orders.InputModels;

namespace DiplomovaPrace.Web.Admin.Services
{
	public interface IOrderService
	{
		Task RequestOrderPropertiesAsync();

		Task<OrderIM> GetOrderByIDAsync(ValueDto<int> orderId);

		Task<bool> DeleteOrder(ValueDto<int> orderId);
	}
}
